%
%  SS_velox_correction.m  ver 1.0  October 3, 2013
%
function[store]=SS_velox_correction(dt,store,ff)
%
[v]=integrate_function(store,dt);
%
velox = detrend(v,'linear');

fper=3/100;
%
n=length(velox);
na=round(fper*n);
%
for i=1:na
    arg=pi*(( (i-1)/(na-1) )+1); 
    velox(i)=velox(i)*0.5*(1+(cos(arg)));
end
%
y=velox;     
%
[d]=integrate_function(velox,dt);
%        
d = detrend(d,'linear');
%
%    iband:   1=lowpass  2=highpass  3=bandpass 
%
%    iphase=1  for refiltering for phase correction
%          =2  for no refiltering
%
iband=2;
iphase=1;
fl=ff/2.;
fh=fl;
[ddisp,mu,sd,rms]=Butterworth_filter_function_alt(d,dt,iband,fl,fh,iphase);
%
%   fade in displacement
%
for i=1:na
  arg=pi*(( (i-1)/(na-1) )+1); 
  ddisp(i)=ddisp(i)*0.5*(1+(cos(arg)));
end
%
%   fade out displacement
%
perc=3;
%
na=round(fper*n);          
nb=n-na;
delta=n-nb;
%       
for i=nb:n
   arg=pi*( (i-nb)/delta );
   ddisp(i)=ddisp(i)*(1+cos(arg))*0.5;
end
%
[velox]=differentiate_function(ddisp,dt);
%
[store]=differentiate_function(velox,dt);